Package org.silverpeas.components.community.security.authorization

## Class CommunityInstanceAccessControlExtension

- java.lang.Object
- - org.silverpeas.core.security.authorization.DefaultInstanceAccessControlExtension
  - - org.silverpeas.components.community.security.authorization.CommunityInstanceAccessControlExtension

- All Implemented Interfaces:
    `org.silverpeas.core.security.authorization.ComponentInstanceAccessControlExtension`

      @Named
      @Service
      public class CommunityInstanceAccessControlExtension
      extends org.silverpeas.core.security.authorization.DefaultInstanceAccessControlExtension

  Author:
    silveryocha

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.silverpeas.core.security.authorization.ComponentInstanceAccessControlExtension

      `org.silverpeas.core.security.authorization.ComponentInstanceAccessControlExtension.Constants`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommunityInstanceAccessControlExtension()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `canAnonymousAccessInstance​(org.silverpeas.core.security.authorization.AccessControlContext context)` |
    `protected boolean` | `mustUserBeComponentInstanceAdminIfManagerOfParentSpace​(org.silverpeas.core.security.authorization.ComponentAccessController.DataManager dataManager, org.silverpeas.core.admin.user.model.User user, org.silverpeas.core.admin.component.model.SilverpeasComponentInstance componentInstance)` |

    - ### Methods inherited from class org.silverpeas.core.security.authorization.DefaultInstanceAccessControlExtension

      `fillUserRolesFromComponentInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommunityInstanceAccessControlExtension

          public CommunityInstanceAccessControlExtension()

  - ### Method Detail

    - #### mustUserBeComponentInstanceAdminIfManagerOfParentSpace

          protected boolean mustUserBeComponentInstanceAdminIfManagerOfParentSpace​(org.silverpeas.core.security.authorization.ComponentAccessController.DataManager dataManager,
                                                                                   org.silverpeas.core.admin.user.model.User user,
                                                                                   org.silverpeas.core.admin.component.model.SilverpeasComponentInstance componentInstance)

      Overrides:
        `mustUserBeComponentInstanceAdminIfManagerOfParentSpace` in class `org.silverpeas.core.security.authorization.DefaultInstanceAccessControlExtension`

    - #### canAnonymousAccessInstance

          protected boolean canAnonymousAccessInstance​(org.silverpeas.core.security.authorization.AccessControlContext context)

      Overrides:
        `canAnonymousAccessInstance` in class `org.silverpeas.core.security.authorization.DefaultInstanceAccessControlExtension`